Bug 8862 - merge.pl contains untranslatable strings
Summary: merge.pl contains untranslatable strings
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Cataloging (show other bugs)
Version: 3.8
Hardware: All All
: P5 - low normal (vote)
Target Milestone: ---
Assignee: Kyle M Hall
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-10-02 12:59 UTC by Kyle M Hall
Modified: 2013-12-05 20:01 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 8862 - merge.pl contains untranslatable strings (4.11 KB, patch)
2012-10-02 13:00 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 8862 - merge.pl contains untranslatable strings (4.11 KB, patch)
2012-10-02 13:01 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 8862 - merge.pl contains untranslatable strings (3.98 KB, patch)
2012-10-02 13:02 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 8862 - merge.pl contains untranslatable strings (4.19 KB, patch)
2012-10-04 08:35 UTC, Frédéric Demians
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Kyle M Hall 2012-10-02 12:59:34 UTC
merge.pl has error strings embedded in the Perl code, and are thus not translatable.
Comment 1 Kyle M Hall 2012-10-02 13:00:09 UTC Comment hidden (obsolete)
Comment 2 Kyle M Hall 2012-10-02 13:01:04 UTC Comment hidden (obsolete)
Comment 3 Kyle M Hall 2012-10-02 13:02:29 UTC Comment hidden (obsolete)
Comment 4 Frédéric Demians 2012-10-04 08:35:16 UTC
Created attachment 12673 [details] [review]
Bug 8862 - merge.pl contains untranslatable strings

Signed-off-by: Frédéric Demians <f.demians@tamil.fr>

It works: (1) merging's still effective, and (2) two new error messages appear
in staff .po file after update it.
Comment 5 Paul Poulain 2012-10-12 20:21:37 UTC
QA comment:
 * very limited side effect risk, this patch deals only with cataloguing/merge.pl
 * no feature change, only moves strings to a template, with the underlying logic
 * passes koha-qa.pl, except for some tabulations. I've fixed all tabulations in a follow-up (not only the one introduced by this patch)

passed QA
Comment 6 Paul Poulain 2012-10-12 20:21:53 UTC
Patch pushed to master
Comment 7 Chris Cormack 2012-10-22 21:36:50 UTC
Pushed to 3.8.x, will be in 3.8.7
Comment 8 Liz Rea 2012-11-15 03:33:33 UTC
pushed to 3.6.x, will be in 3.6.11